Search documentation of grizzly

# View Source Grizzly.Trace.Record (grizzly v7.4.2)

Data structure for a single item in the trace log

# Summary

## Types

opt()
t()

## Functions

new(binary, opts \\ [])

Make a new `Grizzly.Record.t()` from a binary string

to_string(record, format \\ :text)

Turn a record into the string format

# Types

Link to this type

# opt()

View Source

    @type opt() ::
      {:src, Grizzly.Trace.src()}
      | {:dest, Grizzly.Trace.dest()}
      | {:timestamp, Time.t()}

Link to this type

# t()

View Source

    @type t() :: %Grizzly.Trace.Record{
      binary: binary(),
      dest: Grizzly.Trace.src() | nil,
      src: Grizzly.Trace.src() | nil,
      timestamp: Time.t()
    }

# Functions

Link to this function

# new(binary, opts \\ [])

View Source

    @spec new(binary(), [opt()]) :: t()

Make a new `Grizzly.Record.t()` from a binary string

Options:

- `:src` - the src as a string
- `:dest` - the dest as a string

Link to this function

# to_string(record, format \\ :text)

View Source

    @spec to_string(t(), Grizzly.Trace.format()) :: String.t()

Turn a record into the string format